
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Apache Velocity开发者指南–导读 / iVAN</title>

    <meta name="description" content="Apache Velocity开发者指南–导读 原文链接   译者:小村长 Velocity–导读 本项目是 Apache Velocity官方文档的中文翻译版,Velocity类似与Jsp,是一种基于Java的模板引擎.它可以在web页面中引用java代码定义的数据和对象,而Velocity的作用就是Web视图和java代码进行组装在一起.本次翻译主要针对对Velocity感兴趣和工作中使用到Velocity的开发人员提供有价值的中文资料,希望能够对大家的工作和学习有所帮助. 由于我也是第一次接触Velocity,还不是很深入,翻译的时候也">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Apache Velocity开发者指南–导读</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><a href="http://velocity.apache.org/engine/devel/user-guide.html#About_this_Guide" rel="external nofollow noreferrer">原文链接 </a>  译者：小村长</p>
<h1>Velocity–导读</h1>
<p>本项目是 Apache Velocity官方文档的中文翻译版，Velocity类似与Jsp，是一种基于Java的模板引擎。它可以在web页面中引用java代码定义的数据和对象，而Velocity的作用就是Web视图和java代码进行组装在一起。本次翻译主要针对对Velocity感兴趣和工作中使用到Velocity的开发人员提供有价值的中文资料，希望能够对大家的工作和学习有所帮助。</p>
<p>由于我也是第一次接触Velocity，还不是很深入，翻译的时候也查看了一些博客以及其他网上资料。以及也测试者去了解它和Jsp方面的差别以及优缺点，同时也去了解了下他和其他Java引擎模板的区别，比如freemaker的区别，等等。但是还是因为能力见识有限，翻译过程中难免出现个人的主观或者客观原因导致与官方文档有差异。在此，我还是建议有能力的童鞋能够自己去<a href="http://velocity.apache.org/engine/devel/user-guide.html#The_Mud_Store_Example" rel="external nofollow noreferrer">Velocity</a>官方看看。</p>
<p>同时，也希望大家多多提出错误和建议，小村长在此拜谢 ! ! !</p>
<h2>导读</h2>
<p>Velocity用户向导企图帮助页面设计者和内容提供者开始了解Velocity和它简单的有效的脚本语言, 它就是Velocity模板语言，简称 (VTL). 在接下来的章节中许多实例使用中Velocity嵌入动态内容到你的网页中,但是所有的 VTL实例在其他页面应用和模板是等价的.</p>
<p>感谢你选择Velocity!</p>
<h2>什么是 Velocity?</h2>
<p>Velocity是基于java的模板引擎. 它许可页面设计者引用java中定义的方法. 页面设计者和Java开发者能够能够并行的使用MVC的模式开发网站, 同时网页设计者也能够把精力放在页面的设计上, 而程序员可以把精力放在代码开发上. Velocity使Java代码从Web页面分离, 使网站可维护性更强同时也提供了可视化交互的选择在JSPs或者PHP.</p>
<p>Velocity被使用来生成Web页面, SQL, PostScript 和其他输出从模板中. 它生成的源代码和报告能够作为一个独立的单元或者作为一个其他系统的完整组件. 配置完成后, Velocity将提供为<a href="http://java.apache.org/turbine/" rel="external nofollow noreferrer">Turbine</a> 页面应用框架提供模板服务. Velocity+Turbine将提供一个模板服务，它将准许页面应用按照MVC的模式进行开发.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 13:06:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Apache Velocity开发者指南–导读的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4YoEqb.html" rel="bookmark">《Apache Velocity开发者指南》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				欢迎各位光临并发编程网,并发网最近几年一直致力于翻译优秀的技术文章,从未间断,并发网从本月开始计划组织翻译各个技术框架的官方指南,本月组织翻译Apache Velocity官方指南.Velocity是在阿里巴巴和支付宝等公司被广泛使用的一种基于Java的模板引擎,有兴趣翻译的同学请在评论中回复翻译章节和完成时间,翻译完之后提交到并发编程网,网站使用指南请参考:如何投稿. 简介 资源 Velocity是如何工作的 使用单例还是非单例模式 容器 在应用程序中使用Velocity 应用程序中的属性 C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQxx8p.html" rel="bookmark">《Apache Velocity用户指南》官方文档</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Quick Start 本项目是 Apache Velocity官方文档的中文翻译版,Velocity类似与JSP,是一种基于Java的模板引擎.它可以在web页面中引用Java代码中定义的数据和对象,而Velocity的作用就是把Web视图和java代码进行组装在一起.本次翻译主要针对对Velocity感兴趣和工作中使用到Velocity的开发人员提供有价值的中文资料,希望能够对大家的工作和学习有所帮助. 由于我也是第一次接触Velocity,还不是很深入,翻译的时候也查看了一些博客以及其他网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEVnOp.html" rel="bookmark">Apache Kylin权威指南导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 &quot;麒麟出没,必有祥瑞.&quot; --中国古谚语 &quot;于我而言,与Apache Kylin团队一起合作使Kylin通过孵化成为顶级项目是非常激动人心的,诚然,Kylin在技术方面非常振奋人心,但同样令人兴奋的是Kylin代表了亚洲国家,特别是中国,在开源社区中越来越高的参与度.&quot; --Ted Dunning Apache孵化项目副总裁,MapR首席应用架构师 今天,随着移动互联网.物联网.AI等技术的快速兴起,数据成为了所有这些技术背后最重要,也是最有价值的&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boa3PBp.html" rel="bookmark">《Apache Velocity用户使用指南》翻译邀请</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前并发网组织翻译过&lt;Apache Velocity开发者指南&gt;,所以本月继续组织翻译&lt;Apache Velocity用户指南&gt;,文章比较简单,主要是希望更多的同学能够阅读官方技术文档,参与到技术文档翻译的乐趣当中. 所以有兴趣的同学可以通过评论领取,每次领取一节,翻译完后再领取其他章节.如果翻译超过10篇文章,并发网会赠送一本作者签名的&lt;JAVA并发编程的艺术&gt;,超过20篇额外再赠送一件并发网定制的T shirt.当然也欢迎某位同学全部翻译完成. 如何交稿?直接在并发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQPOoz.html" rel="bookmark">Android开发者指南&lpar;25&rpar; &mdash;&mdash; Resource Types - Style</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容为Android开发者指南的Framework Topics/Application Resources/Resource Types/Style章节,译为&quot;样式资源&quot;,版本为Android 3.2 r1,翻译来自:&quot;呆呆大虾&quot;,欢迎访问他的微博:&quot;http://weibo.com/popapa&quot;,再次感谢&quot;呆呆大虾&quot; !期待你一起参与翻译Android的相关资料,联系我over140@gmail.com.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyP1Jb.html" rel="bookmark">用Apache Velocity模板引擎速造网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				apache|模板 基于Java的网站开发,很多人都采用JSP作为前端网页制作的技术,尤其是在国内.这种技术通常会存在一些问题,可以通过简单地分析网站开发过程来看看这些问题.通常网站开发采用以下两种方式: ◆ 网站功能确定后,由美工设计网页的UI(界面)部分,然后由程序员在其上加入代码显示逻辑(比如循环.判断显示数据结果).这就是通常的JSP页面制作,当然这部分可以由美工完成模板,然后由JSP工程师以它为原型创建相应的JSP页面. ◆ 网站功能确定后,由美工设计网页的UI(界面)部分,然后由网页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo75x3b.html" rel="bookmark">Android 4&period;0 开发者指南&lpar;27&rpar; &mdash;&mdash; Resource Types - String</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容为Android开发者指南的Framework Topics/Application Resources/Resource Types/String章节,译为&quot;字符串资源&quot;,版本为Android 4.0 r1,翻译来自:&quot;呆呆大虾&quot;,欢迎访问他的微博:&quot;http://weibo.com/popapa&quot;,再次感谢&quot;呆呆大虾&quot; !期待你一起参与翻译Android的相关资料,联系我over140@gmail.com.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3oKPWb.html" rel="bookmark">Android开发者指南&lpar;14&rpar; &mdash;&mdash; Introduction</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容为开发者指南(Dev Guide)/Developing/Introduction,版本为Android3.1 r1,翻译来自:&quot;MeetAndroid&quot;,欢迎大家访问他的博客:&quot;http://blog.csdn.net/meetandroid&quot;,再次感谢&quot;MeetAndroid&quot; !期待你一起参与翻译Android的相关资料,联系我over140@gmail.com.   声明 欢迎转载,但请保留文章原始出处:)  博客园:htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamBnNb.html" rel="bookmark">Android开发者指南&lpar;22&rpar; &mdash;&mdash; Accessing Resources</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容为Android开发者指南的Framework Topics/Application Resources/Accessing Resources章节,译为&quot;资源调用&quot;,版本为Android 3.2 r1,翻译来自:&quot;CodeGuy&quot;,欢迎访问他的博客:&quot;http://www.cnblogs.com/CodeGuy/&quot;,再次感谢&quot;CodeGuy&quot; !期待你一起参与翻译Android的相关资料,联系我over140@			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaqKPb.html" rel="bookmark" class="title">&lbrack;华为机试练习题&rsqb;61&period;找出字符串中第一个出现次数最多的字符</a>
					<div>
						题目 描述: 找出字符串中第一个出现次数最多的字符 详细描述: 接口说明 原型: bool FindChar(char* pInputString, char* pChar); 输入参数: char* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zejX0b.html" rel="bookmark" class="title">必定失败的几种淘宝客</a>
					<div>
						列举九种必定失败的淘宝客,希望你不是其中之一.也希望能给有打算做淘宝客的朋友一写启发. 1, 梦想靠淘宝客发大财的.其实,无论阿里妈妈还是其他淘宝客把淘宝客说的天花乱坠,无论多少人说他通过淘宝客赚了多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy9D5M.html" rel="bookmark" class="title">技巧分析：把XHTML&plus;CSS页面转换成为打印机页面</a>
					<div>
						css|xhtml|打印|技巧|页面|转换 在以前,为Web页面创建一个打印机友好的版本意味着要设计一个布局和格式都经过修改的单独页面,这样才能够在打印的时候获得令人满意的效果.现在,通过使用结构化的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDg2Wp.html" rel="bookmark" class="title">VB&period;NET下获取硬盘信息的几种方法</a>
					<div>
						硬盘 1.用API函数GetDiskFreeSpaceEx获取磁盘空间     Private Declare Function GetDiskFreeSpaceEx Lib &quot;kernel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnwnkz.html" rel="bookmark" class="title">一个奇怪的Web前端问题</a>
					<div>
						IE诡异的行为经常让人捉摸不透.这次遇到的IE问题也很诡异,虽然没有&quot;透&quot;,但捉摸出了解决方法,而且是在几乎无望的情形下捉摸出来的,所以说很有成就感.那&quot;最&quot;从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w5yrp.html" rel="bookmark" class="title">Code4Fun&colon;通过XML模板替换实现对象的灵活序列化</a>
					<div>
						前阵子在写LINQ2Douban的时候碰到关于XML序列化的场景.通过Douban api添加和更新数据的时候都需要Post一个xml entry,如: 添加活动(xml中用%%括起来的部分是需要填写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrjD8p.html" rel="bookmark" class="title">小技巧实现PowerPoint演示文档&OpenCurlyDoubleQuote;非全屏播放&rdquo;</a>
					<div>
						在实际使用PowerPoint的演示文稿过程中,往往需要与其它程序窗口的数据配合使用以增强演示的效果,但是如果用鼠标点击PowerPoint幻灯片放映菜单中的&quot;观看幻灯片&quot;选项,或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8Ddkb.html" rel="bookmark" class="title">JS获取本地IP、MAC地址</a>
					<div>
						1.通过ActiveX控件 view plaincopy to clipboardprint?&lt;HTML&gt;&lt;HEAD&gt;&lt;TITLE&gt;WMI Scripting HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Xrmp.html" rel="bookmark" class="title">Win7没有找到Comres&period;dll如何解决</a>
					<div>
						  1.打开浏览器,打开百度,输入dll帮,下载Comres.dll文件; 2.下载到本机把Comres.dll直接拷贝该文件到系统目录里: 3.然后打开&quot;开始-运行-输入regsvr32  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3ZV1M.html" rel="bookmark" class="title">Win8&period;1系统应用商店支持支付宝支付</a>
					<div>
						  Win8.1系统已经正式上线一段时间了,大家有没有看到很多改善?如今想从应用商店查找应用更加容易,清晰的分类项.整齐的页面布局让人眼前一亮.最值得一提的便是针对国内用户,应用商店支持国内最流行的支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXoBAp.html" rel="bookmark" class="title">win7电脑如何修复破损系统文件？</a>
					<div>
						  win7电脑如何修复破损系统文件?下面,咱们就来详细的看看这个SFC命令要如何来使用吧! 1.首先,咱们同时按下键盘上的win+R快捷键打开电脑的运行窗口,之后在窗口中输入cmd并单击回车,这样就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E3goM.html" rel="bookmark" class="title">高手应对电脑反应慢有措施</a>
					<div>
						  1.删除常驻顺序 何谓常驻顺序呢?常驻顺序就是在开机时加载的顺序,而那些顺序就叫做常驻顺序.常驻顺序不单拖慢开机时的速度,并且更快地耗费核算机资本以及内存.假如想删除常驻顺序,可去&quot;启动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn77doz.html" rel="bookmark" class="title">vc-关于mfc控件关联对象的问题</a>
					<div>
						问题描述 关于mfc控件关联对象的问题 对话框上有一个控件button,那么系统应该维护了一个对象可以来控制button,不如: getdlgitem(button)可以对button操作,如果自己写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwg9rp.html" rel="bookmark" class="title">面对前端六年历史代码，如何接入并应用ES6解放开发效率</a>
					<div>
						很荣幸有机会和大家分享自己在前端工作中的一些经验.更高兴能邀请我的同事颜海镜同我一起做这件事情.其实经验说不上,只是希望能更多的和大家一起交流.学习. 为什么要讲&quot;面对前端六年历史代码,如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam19nb.html" rel="bookmark" class="title">android-http请求：pad和浏览器之间有什么区别吗？</a>
					<div>
						问题描述 http请求:pad和浏览器之间有什么区别吗? 20C public Object downFile(String filepath HttpServletRequest request H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kqj3M.html" rel="bookmark" class="title">freemarker edit 如何配置最新版本？</a>
					<div>
						问题描述 freemarker edit 如何配置最新版本? ftl里有类似${(qingjia.memo)!}的freemarker写法就报错,好像不认!的符号.查了下网上说是freemarker  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm1LWz.html" rel="bookmark" class="title">用CMD命令实现路由跟踪</a>
					<div>
						本文用跟踪GOOGLE的例子去实现了CMD如何进行的操作,并且显示了跟踪的路径,下面文章给出了详细的操作步骤.CMD命令tracert xxx.xxx.com 例如谷歌C:\&gt;tracert w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZNknz.html" rel="bookmark" class="title">ssh配置连接</a>
					<div>
						SSH配置: 1.修改vi /etc/ssh/sshd_config,根据模板将要修改的参数注释去掉并修改参数值: Port 22 指定SSH连接的端口号,安全方面不建议使用默认22端口 Protoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRLNjb.html" rel="bookmark" class="title">c&num;文件路勁里添加時間戳格式應該怎麼寫？</a>
					<div>
						问题描述 c#文件路勁里添加時間戳格式應該怎麼寫? string Path = @&quot;&quot;C:標籤報表.xls&quot;&quot;;例如這是路勁,在路勁裏面添加時間戳,謝謝! 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKONkz.html" rel="bookmark" class="title">sql developer使用-Oracle Sql Developer 使用</a>
					<div>
						问题描述 Oracle Sql Developer 使用 我使用Oracle Sql Developer 将sqlserver数据库转移到oracle,为什么总是捕获不到数据库,连接我都配好了而且也连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AQllz.html" rel="bookmark" class="title">Centos 7 快速安装 Docker</a>
					<div>
						安装 Docker [root@localhost~]# yum install docker 启动 docker 服务 [root@localhost~]# systemctl start dock ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgjlYb.html" rel="bookmark" class="title">谷歌确认在都柏林为EMEA总部购买两栋办公楼</a>
					<div>
						虽然谷歌之前已购买了爱尔兰都柏林(Dublin)最高的一栋办公大楼-拥有15层楼的Montevetro,但该公司日前确认了其还购买了位于都柏林Barrow Street街的另外两栋办公大楼-Dubli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAae7b.html" rel="bookmark" class="title">有在用google chrome的扩展应用keyconfig的吗</a>
					<div>
						问题描述 有在用google chrome的扩展应用keyconfig的吗 有在用google chrome的扩展应用keyconfig的吗 解决方案 http://sassds.iteye.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjxJGM.html" rel="bookmark" class="title">贵阳将可能成全国最大的大数据中心</a>
					<div>
						&quot;为了实现后发赶超.与全国同步小康的目的,大数据的发展给我们提供了后发赶超的实力,所以我们选择的一个重要路径就是发展http://www.aliyun.com/zixun/aggregati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAka63z.html" rel="bookmark" class="title">阿里推移动电商平台：将赠送卖家阿里云手机</a>
					<div>
						搜狐IT记者宿艺阿里巴巴今天宣布,将推出移动电商服务平台,实现&quot;ALL IN无线&quot;,推动700万淘系 卖家向移动电商发展.据悉,阿里移动电商服务平台首期将落地阿里云OS特别订制的卖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmAJRp.html" rel="bookmark" class="title">iOS下拉选择菜单简单封装&lowbar;IOS</a>
					<div>
						本文实例为大家分享了简单封装的iOS下拉选择菜单代码,供大家参考,具体内容如下 // // OrderListDownMenu.h #import &lt;UIKit/UIKit.h&gt; @pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWmyEz.html" rel="bookmark" class="title">完整java开发中JDBC连接数据库代码和步骤&lowbar;java</a>
					<div>
						JDBC连接数据库 •创建一个以JDBC连接数据库的程序,包含7个步骤: 1.加载JDBC驱动程序: 在连接数据库之前,首先要加载想要连接的数据库的驱动到JVM(Java虚拟机), 这通过java.l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0je8p.html" rel="bookmark" class="title">简单讲解Java的Socket网络编程的多播与广播实现&lowbar;java</a>
					<div>
						在Java中,我们可以有很多种方法来发送和接收数据.有的方法比较靠近底层,有些问题就需要程序员自己去解决,而有些方法抽象层次比较高,很方便地就可以拿来使用.这些处理数据的方法根据抽象层次由低到高分别有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv3myM.html" rel="bookmark" class="title">Comsenz与网奇正式对外宣布双方建立合作伙伴的关系</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 近日,康盛创想(Comsenz)公司与网奇网络科技有限公司正式对外宣布双方建立合作伙伴关系. 本次合作的主要内容包括: 网奇公司旗下主要.NET产品与C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG134vM.html" rel="bookmark" class="title">手机SIM失效需缴纳20元更换遭投诉</a>
					<div>
						市民陈女士: 我的手机号是138822×××××,4月7日傍晚我忽然发现手机上显示SIM卡无效,我马上打了10086,营业小姐说需要进行网络运行检查,24小时之内答复.当天晚上,10086回复我说网络 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
